- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Namespaces | Typedefs | Functions

# qstringlist.h File Reference

`#include <QtCore/qalgorithms.h>`
`#include <QtCore/qdatastream.h>`
`#include <QtCore/qlist.h>`
`#include <QtCore/qregexp.h>`
`#include <QtCore/qstring.h>`
`#include <QtCore/qstringmatcher.h>`

Go to the source code of this file.

## Classes
class | QStringList
## Namespaces
namespace | QtPrivate
## Typedefs
typedef QListIterator< QString > | QStringListIterator
typedef QMutableListIterator < QString > | QMutableStringListIterator
## Functions
void Q_CORE_EXPORT | QStringList_sort (QStringList *that)
int Q_CORE_EXPORT | QStringList_removeDuplicates (QStringList *that)
QString Q_CORE_EXPORT | QStringList_join (const QStringList *that, const QString &sep)
QStringList Q_CORE_EXPORT | QStringList_filter (const QStringList *that, const QString &str, Qt::CaseSensitivity cs)
QBool Q_CORE_EXPORT | QStringList_contains (const QStringList *that, const QString &str, Qt::CaseSensitivity cs)
void Q_CORE_EXPORT | QStringList_replaceInStrings (QStringList *that, const QString &before, const QString &after, Qt::CaseSensitivity cs)
void Q_CORE_EXPORT | QStringList_replaceInStrings (QStringList *that, const QRegExp &rx, const QString &after)
QStringList Q_CORE_EXPORT | QStringList_filter (const QStringList *that, const QRegExp &re)
int Q_CORE_EXPORT | QStringList_indexOf (const QStringList *that, const QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_lastIndexOf (const QStringList *that, const QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_indexOf (const QStringList *that, QRegExp &rx, int from)
int Q_CORE_EXPORT | QStringList_lastIndexOf (const QStringList *that, QRegExp &rx, int from)
QDataStream & | operator>> (QDataStream &in, QStringList &list)
QDataStream & | operator<< (QDataStream &out, const QStringList &list)

## Typedef Documentation

typedef QListIterator<QString> QStringListIterator

Search for all occurrences

Definition at line 61 of file qstringlist.h.

typedef QMutableListIterator<QString> QMutableStringListIterator

Search for all occurrences

Definition at line 64 of file qstringlist.h.

## Function Documentation

QDataStream& operator>> | ( | QDataStream & | in,
|  | QStringList & | list
| ) |  | `[inline]`

Definition at line 245 of file qstringlist.h.

    {
        return operator>>(in, static_cast<QList<QString> &>(list));
    }

QDataStream& operator<< | ( | QDataStream & | out,
|  | const QStringList & | list
| ) |  | `[inline]`

Definition at line 249 of file qstringlist.h.

    {
        return operator<<(out, static_cast<const QList<QString> &>(list));
    }